Package docking.menu

# Class ToolBarItemManager

java.lang.Object
docking.menu.ToolBarItemManager

All Implemented Interfaces:
  `ActionListener`, `MouseListener`, `PropertyChangeListener`, `EventListener`

public class ToolBarItemManager extends Object implements PropertyChangeListener, ActionListener, MouseListener
Class to manager toolbar buttons.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ToolBarItemManager(DockingActionIf action, DockingWindowManager windowManager)`
  Constructs a new ToolBarItemManager

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `actionPerformed(ActionEvent event)`
  `JButton`
  `createButton(DockingActionIf action)`
  `DockingActionIf`
  `getAction()`
  Returns the action being managed
  `JButton`
  `getButton()`
  Returns a button for this items action
  `void`
  `mouseClicked(MouseEvent e)`
  `void`
  `mouseEntered(MouseEvent e)`
  `void`
  `mouseExited(MouseEvent e)`
  `void`
  `mousePressed(MouseEvent e)`
  `void`
  `mouseReleased(MouseEvent e)`
  `void`
  `propertyChange(PropertyChangeEvent e)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ToolBarItemManager

    public ToolBarItemManager(DockingActionIf action, DockingWindowManager windowManager)
    Constructs a new ToolBarItemManager
    Parameters:
      `action` - the action to be managed on the toolbar.
      `windowManager` - the window manager.

- ## Method Details

  - ### getButton

    public JButton getButton()
    Returns a button for this items action
    Returns:
      the button

  - ### createButton

    public JButton createButton(DockingActionIf action)

  - ### getAction

    public DockingActionIf getAction()
    Returns the action being managed
    Returns:
      the action

  - ### propertyChange

    public void propertyChange(PropertyChangeEvent e)
    Specified by:
      `propertyChange` in interface `PropertyChangeListener`

  - ### actionPerformed

    public void actionPerformed(ActionEvent event)
    Specified by:
      `actionPerformed` in interface `ActionListener`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### mouseClicked

    public void mouseClicked(MouseEvent e)
    Specified by:
      `mouseClicked` in interface `MouseListener`

  - ### mouseEntered

    public void mouseEntered(MouseEvent e)
    Specified by:
      `mouseEntered` in interface `MouseListener`

  - ### mouseExited

    public void mouseExited(MouseEvent e)
    Specified by:
      `mouseExited` in interface `MouseListener`

  - ### mousePressed

    public void mousePressed(MouseEvent e)
    Specified by:
      `mousePressed` in interface `MouseListener`

  - ### mouseReleased

    public void mouseReleased(MouseEvent e)
    Specified by:
      `mouseReleased` in interface `MouseListener`